import 'package:flutter/services.dart';

class CaptureEvent {
  static const EventChannel _channel = EventChannel("captureevent");
  void startListeningForCaptureEvents(void Function(String value) callback) {
    _channel.receiveBroadcastStream().listen((captureEvent) {
      // ignore: avoid_print
      print("receive a Capture event: $captureEvent");
      callback(captureEvent);
    });
  }
}
