import 'package:pigeon/pigeon.dart';

class Property {
  int? id;
  int? type;
  String? stringValue;
  int? longValue;
  List? arrayValue;
  // byte? byteValue;
}

class AppInfo {
  String? appId;
  String? developerId;
  String? appKey;
}

class CaptureHandle {
  int? value;
}

class CaptureResult {
  int? value;
}

@HostApi()
abstract class CaptureFlutter {
  @async
  CaptureHandle openClient(AppInfo appInfo);
  @async
  CaptureHandle openDevice(String guid);
  @async
  CaptureResult close(CaptureHandle handle);
  @async
  Property getProperty(Property property);
  @async
  Property setProperty(Property property);
}
